net.corda.node.services.transactions

## Class RaftValidatingNotaryService

- SingletonSerializeAsToken
- - NotaryService
  - - net.corda.node.services.transactions.RaftValidatingNotaryService

- All Implemented Interfaces:
    SerializeAsToken

      public class RaftValidatingNotaryService
      extends NotaryService

  A validating notary service operated by a group of mutually trusting parties, uses the Raft algorithm to achieve consensus.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RaftValidatingNotaryService.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RaftValidatingNotaryService.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RaftValidatingNotaryService(ServiceHubInternal services, TimestampChecker timestampChecker, RaftUniquenessProvider uniquenessProvider)` A validating notary service operated by a group of mutually trusting parties, uses the Raft algorithm to achieve consensus.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatingNotaryFlow` | `createFlow(Party otherParty)` Implement a factory that specifies the transaction commit flow for the notary service to use
    `TimestampChecker` | `getTimestampChecker()`
    `RaftUniquenessProvider` | `getUniquenessProvider()`

    - ### Methods inherited from class net.corda.node.services.transactions.NotaryService

      `createFlow`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### Companion

          public static RaftValidatingNotaryService.Companion Companion

  - ### Constructor Detail

    - #### RaftValidatingNotaryService

          public RaftValidatingNotaryService(ServiceHubInternal services,
                                             TimestampChecker timestampChecker,
                                             RaftUniquenessProvider uniquenessProvider)

      A validating notary service operated by a group of mutually trusting parties, uses the Raft algorithm to achieve consensus.

  - ### Method Detail

    - #### createFlow

          public ValidatingNotaryFlow createFlow(Party otherParty)

      Implement a factory that specifies the transaction commit flow for the notary service to use

    - #### getTimestampChecker

          public TimestampChecker getTimestampChecker()

    - #### getUniquenessProvider

          public RaftUniquenessProvider getUniquenessProvider()